<div class="w-full p-2 md:p-5">
    <div class="relative flex justify-end mb-4 text-xl">
        <h4 class="text-center w-full absolute">{{ monster?.monsterName }}</h4>
        <div>{{ monster?.averageDropValue | cleanInteger }}K</div>
    </div>

    <div class=" bg-accordionBackground py-2 rounded-t-lg noselect hover:cursor-pointer" appAccordion>
        <span class="text-xl ml-10">
            {{ 'MZ_DISPLAY_AREAS' | translate }} ({{ monster?.appearsInAreaIds?.length }})
        </span>
    </div>
    <div class="flex flex-wrap bg-contentBackground">
        <div *ngFor="let subAreaId of monster?.appearsInAreaIds" class="p-2 rounded green-gradient m-2 text-textGrey">{{ getSubAreaName(subAreaId) }}</div>
    </div>
    <div class=" my-2"></div>
    <div class=" bg-accordionBackground py-2 rounded-t-lg noselect hover:cursor-pointer" appAccordion>
        <span class="text-xl ml-10">
            {{ 'MZ_DIPSLAY_DROPS' | translate }} ({{ monster?.drops?.length }})
        </span>
    </div>
    <div class="w-full bg-contentBackground rounded-b-lg p-2">
        <app-monster-drop-preview [monster]="monster"></app-monster-drop-preview>
    </div>
</div>
